# inheritance by itself
python testSpinn7Inherit.py 1 inputs/test4
cp results/inherit.sp  autoResults/spinn7Inherit1.sp

python testSpinn7Inherit.py 2 inputs/test4
cp results/inherit.sp  autoResults/spinn7Inherit2.sp

python testSpinn7Inherit.py 3 inputs/test4
cp results/inherit.sp  autoResults/spinn7Inherit3.sp

#unit
python testSpinn73Assoc.py 1 inputs/test4
cp results/inputs/test4Bases.sp  autoResults/spinn74UnitBases.sp
cp results/inputs/test4Props.sp  autoResults/spinn74UnitProps.sp
cp results/inputs/test4Rels.sp  autoResults/spinn74UnitRels.sp

python testSpinn73Assoc.py 2 inputs/test4
cp results/inputs/test4Bases.sp  autoResults/spinn74PairBases.sp
cp results/inputs/test4Props.sp  autoResults/spinn74PairProps.sp
cp results/inputs/test4Rels.sp  autoResults/spinn74PairRels.sp

python testSpinn73Assoc.py 3 inputs/test4
cp results/inputs/test4Bases.sp  autoResults/spinn74SpreadBases.sp
cp results/inputs/test4Props.sp  autoResults/spinn74SpreadProps.sp
cp results/inputs/test4Rels.sp  autoResults/spinn74SpreadRels.sp

## 5 Tests
## INHERITANCE BY ITSELF
# test 1
python testSpinn7Inherit.py 1 inputs/test5
cp results/inherit.sp  autoResults/spinn7Inherit51.sp

# test 2
python testSpinn7Inherit.py 2 inputs/test5
cp results/inherit.sp  autoResults/spinn7Inherit52.sp

python testSpinn7Inherit.py 3 inputs/test5
cp results/inherit.sp  autoResults/spinn7Inherit53.sp

python testSpinn73Assoc.py 1 inputs/test5
cp results/inputs/test5Bases.sp  autoResults/spinn75UnitBases.sp
cp results/inputs/test5Props.sp  autoResults/spinn75UnitProps.sp
cp results/inputs/test5Rels.sp  autoResults/spinn75UnitRels.sp

python testSpinn73Assoc.py 2 inputs/test5
cp results/inputs/test5Bases.sp  autoResults/spinn75PairBases.sp
cp results/inputs/test5Props.sp  autoResults/spinn75PairProps.sp
cp results/inputs/test5Rels.sp  autoResults/spinn75PairRels.sp

python testSpinn73Assoc.py 3 inputs/test5
cp results/inputs/test5Bases.sp  autoResults/spinn75SpreadBases.sp
cp results/inputs/test5Props.sp  autoResults/spinn75SpreadProps.sp
cp results/inputs/test5Rels.sp  autoResults/spinn75SpreadRels.sp


echo "diffs"
echo "inherit 1"
diff storedResults/spinn7Inherit1.sp autoResults/spinn7Inherit1.sp

echo "inherit all units"
diff storedResults/spinn7Inherit2.sp autoResults/spinn7Inherit2.sp

echo "inherit all units spread"
diff storedResults/spinn7Inherit3.sp autoResults/spinn7Inherit3.sp

echo "unit 4"
diff storedResults/spinn74UnitBases.sp autoResults/spinn74UnitBases.sp
diff storedResults/spinn74UnitProps.sp autoResults/spinn74UnitProps.sp
diff storedResults/spinn74UnitRels.sp autoResults/spinn74UnitRels.sp

echo "pair 4"
diff storedResults/spinn74PairBases.sp autoResults/spinn74PairBases.sp
diff storedResults/spinn74PairProps.sp autoResults/spinn74PairProps.sp
diff storedResults/spinn74PairRels.sp autoResults/spinn74PairRels.sp

echo "spread 4"
diff storedResults/spinn74SpreadBases.sp autoResults/spinn74SpreadBases.sp
diff storedResults/spinn74SpreadProps.sp autoResults/spinn74SpreadProps.sp
diff storedResults/spinn74SpreadRels.sp autoResults/spinn74SpreadRels.sp


echo "DIFFS: differences between storedResults and autoResults"
echo "inherit 1"
diff storedResults/spinn7Inherit51.sp autoResults/spinn7Inherit51.sp
echo "inherit all units"
diff storedResults/nestInherit52.sp autoResults/nestInherit52.sp
echo "inherit all units spread"
diff storedResults/spinn7Inherit53.sp autoResults/spinn7Inherit53.sp
echo "unit 5"
diff storedResults/spinn75UnitBases.sp autoResults/spinn75UnitBases.sp
diff storedResults/spinn75UnitProps.sp autoResults/spinn75UnitProps.sp
diff storedResults/spinn75UnitRels.sp autoResults/spinn75UnitRels.sp
echo "pair 5"
diff storedResults/spinn75PairBases.sp autoResults/spinn75PairBases.sp
diff storedResults/spinn75PairProps.sp autoResults/spinn75PairProps.sp
diff storedResults/spinn75PairRels.sp autoResults/spinn75PairRels.sp
echo "spread 5"
diff storedResults/spinn75SpreadBases.sp autoResults/spinn75SpreadBases.sp
diff storedResults/spinn75SpreadProps.sp autoResults/spinn75SpreadProps.sp
diff storedResults/spinn75SpreadRels.sp autoResults/spinn75SpreadRels.sp
